interface Env {
    __indirect_function_table?: WebAssembly.Table;
    memory?: WebAssembly.Memory;
    dlopen?: (pathnamePtr: number, flags: number) => number;
    dlsym?: (handle: number, symbolPtr: number) => number;
    dlerror?: () => number;
    dladdr?: () => number;
    dlclose?: (handle: number) => number;
}
export interface Options {
    path: string;
    importObject?: {
        env?: Env;
        wasi_snapshot_preview1?: any;
    };
    importWebAssembly?: (path: string, importObject: object) => Promise<WebAssembly.Instance>;
    importWebAssemblySync: (path: string, importObject: object) => WebAssembly.Instance;
    readFileSync: (path: string) => any;
    stub?: "warn" | "silent" | false;
    allowMainExports?: boolean;
}
export default function importWebAssemblyDlopen({ path, importObject, importWebAssembly, importWebAssemblySync, readFileSync, stub, allowMainExports, }: Options): Promise<WebAssembly.Instance>;
export {};
